Пожалуйста, убедитесь, что вы используете документацию, которая соответствует вашей версии Electron.
Номер версии должен быть частью адреса страницы. Если это не так, вы,
возможно, используете документацию ветки разработки, которая может содержать изменения API,
которые не совместимы с вашей версией Electron. Если это так,
вы можете переключиться на другую версию документации в списке
[доступные версии](https://electron.atom.io/docs/) на [atom.io](atom.io), или
если вы используете интерфейс GitHub, откройте список "переключение ветки/тега" и
выберите тег, который соответствует вашей версии.

## Руководства

* [Поддерживаемые платформы](tutorial/supported-platforms.md)
* [Application Distribution](tutorial/application-distribution.md)
* [Mac App Store Submission Guide](tutorial/mac-app-store-submission-guide.md)
* [Application Packaging](tutorial/application-packaging.md)
* [Использование нативных модулей NodeJS](tutorial/using-native-node-modules.md)
* [Отладка главного процесса](tutorial/debugging-main-process.md)
* [Использование Selenium и WebDriver](tutorial/using-selenium-and-webdriver.md)
* [DevTools Extension](tutorial/devtools-extension.md)
* [Использование Pepper Flash Plugin](tutorial/using-pepper-flash-plugin.md)

## Учебники

* [Быстрый старт](tutorial/quick-start.md)
* [Интеграция рабочего окружения](tutorial/desktop-environment-integration.md)
* [Определение Онлайн/Оффлайн состояния](tutorial/online-offline-events.md)

## API References

* [Краткий обзор](api/synopsis.md)
* [Process Object](api/process.md)
* [Поддерживаемые параметры командной строки Chrome](api/chrome-command-line-switches.md)

### Пользовательские элементы DOM:

* [`File` Object](api/file-object.md)
* [`<webview>` Tag](api/webview-tag.md)
* [`window.open` Function](api/window-open.md)

### Модули для Main Process:

* [app](api/app.md)
* [autoUpdater](api/auto-updater.md)
* [BrowserWindow](api/browser-window.md)
* [contentTracing](api/content-tracing.md)
* [dialog](api/dialog.md)
* [globalShortcut](api/global-shortcut.md)
* [ipcMain](api/ipc-main.md)
* [Menu](api/menu.md)
* [MenuItem](api/menu-item.md)
* [powerMonitor](api/power-monitor.md)
* [powerSaveBlocker](api/power-save-blocker.md)
* [protocol](api/protocol.md)
* [session](api/session.md)
* [webContents](api/web-contents.md)
* [Tray](api/tray.md)

### Модули для Renderer Process (Web Page):

* [ipcRenderer](api/ipc-renderer.md)
* [remote](api/remote.md)
* [webFrame](api/web-frame.md)

### Модули для обоих процессов:

* [clipboard](api/clipboard.md)
* [crashReporter](api/crash-reporter.md)
* [nativeImage](api/native-image.md)
* [screen](api/screen.md)
* [shell](api/shell.md)

## Разработка

* [Стиль кодирования](development/coding-style.md)
* [Структура папок с исходным кодом](development/source-code-directory-structure.md)
* [Technical Differences to NW.js (formerly node-webkit)](development/atom-shell-vs-node-webkit.md)
* [Обзор системы сборки](development/build-system-overview.md)
* [Инструкции по сборке (macOS)](development/build-instructions-osx.md)
* [Инструкции по сборке (Windows)](development/build-instructions-windows.md)
* [Инструкции по сборке (Linux)](development/build-instructions-linux.md)
* [Настройка сервера символов для отладчика](development/setting-up-symbol-server.md)

